Tamio

Detach products from a category

POST https://api.tamio.com/v2/categories/products/detach/{uuid}

Detaches one or more products from a category. Products are identified by their UUIDs and must be unique within the request. Up to 100 products can be detached per request.

Path Parameters

uuid string*

UUID of the category to detach products from.

Body Parameters

products array of string*

Array of product UUIDs to detach. Must contain unique values.

Example
{
  "products": [
    "d4e5f6a1-b2c3-7890-abcd-ef1234567890"
  ]
}

Responses

200 Products detached successfully

Products detached successfully

status integer
category Category
400 | Code | Description |
401 Unauthorized – invalid or missing Bearer token
/categories/products/detach/{uuid}
1const response = await fetch("https://api.tamio.com/v2/categories/products/detach/{uuid}", {
2 method: "POST",
3 headers: {
4 "Authorization": "Bearer YOUR_API_KEY",
5 "Content-Type": "application/json"
6 },
7 body: JSON.stringify({
8 "products": [
9 "d4e5f6a1-b2c3-7890-abcd-ef1234567890"
10 ]
11 })
12});
13const data = await response.json();
Responses
{
  "status": 200,
  "category": {
    "id": "c3d4e5f6-a1b2-7890-cdef-1234567890ab",
    "parent_id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
    "slug": "electronics",
    "icon": "laptop",
    "status": true,
    "object": "category",
    "name": "Electronics",
    "created_at": 1709500800,
    "asset_id": "f0e1d2c3-b4a5-6789-0abc-def123456789",
    "children": [
      "d4e5f6a1-b2c3-7890-abcd-ef1234567890",
      "e5f6a1b2-c3d4-7890-abcd-ef1234567890"
    ],
    "config": {
      "en": {
        "title": "Electronics",
        "seo_title": "Buy Electronics Online",
        "description": "All electronic products",
        "seo_description": "Shop the best electronics at great prices",
        "slug": "electronics"
      },
      "de": {
        "title": "Elektronik",
        "seo_title": "Elektronik Online Kaufen",
        "description": "Alle elektronischen Produkte",
        "seo_description": "Die besten Elektronikprodukte zu günstigen Preisen",
        "slug": "elektronik"
      }
    },
    "number_of_subcategories": 3,
    "number_of_products": 50,
    "number_of_sites": 2,
    "path": "a1b2c3d4-e5f6-7890-abcd-ef1234567890/c3d4e5f6-a1b2-7890-cdef-1234567890ab",
    "label_path": "Electronics/Laptops",
    "image": {
      "public_url": "https://pub.ox31.com/uploads/12345/category-image.jpg",
      "alt_text": "Electronics category banner",
      "asset_id": "f0e1d2c3-b4a5-6789-0abc-def123456789"
    }
  }
}